<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrderIssueProcessLogsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('order_issue_process_logs', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->timestamps();
            $table->integer('order_issue_id')->index()->comment('订单问题件');
            $table->integer('user_id')->nullable()->comment('操作人');
            $table->string('content')->nullable()->comment('说明');
            $table->enum('type',['创建','结束','处理'])->nullable()->comment('类别');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('order_issue_process_logs');
    }
}
